db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Myrna van Lunteren <m.v.lunte...@gmail.com>
Subject Re: EMBEDDEDACTIVATOR
Date Thu, 15 Dec 2005 02:38:22 GMT
Hi,

I don't understand that you'd need to build EmbeddedActivator to embed
Derby, but if you go to the Downloads tab off the main derby page, you'll
see a list of jar files required to build derby.
http://db.apache.org/derby/derby_downloads.html#Software+required+to+build+Derby
It has a link to osgi.jar

Hope this helps.
Myrna

On 12/14/05, Dan Petrula <dpetrula@adelphia.net> wrote:
>
> I am new to the mailing list and fairly new to Derby. So forgive me if
> this question has already been asked.
>
> I am trying to compile java code into native code using Derby 10.1.2.1 as
> an embedded database. I am currently running
> JDK 1.5.0_01 and using a third party native code compiler - Excelsior.
> The compiler gives me an import dependency error on two classes
> in derby.jar - EmbeddedActivator.class and XML.class.  It is the
> EmbeddedActivator.class that I need to compile.  EmbeddedActivator is
> found
> in  'org.apache.derby.osgi'  and imports two other classes  '
> org.osgi.framework.BundleActivator' and 'org.osgi.framework.Bundlecontext
> '.
> The compiler reports an error because these two classes are not found in
> derby.jar. Where can these classes be found?
>
> Dan
>
>
>

Mime
View raw message